TONTONDocs
TON CenterNominator Pools API

Get nominator earnings

Get nominator income in a specified pool, with their stake at each timepoint.

GET
/getNominatorEarnings

Query Parameters

nominator*Nominator

The nominator address.

pool*Pool

Pool address to get earnings in.

limit?|

Limit from bottom.

Default100
from_time?|

Unixtime of the first booking.

to_time?|

Unixtime of the last booking.

Response Body

application/json

application/json

curl -X GET "https://example.com/getNominatorEarnings?nominator=UQDTKO3a_hF6r_i_9RcLe5euCgMsfCkrrmBfS_ZdfUgoNiei&pool=Ef8OsrSEsBU_e9xPvgbNMjo700s1gqJSwvqnzM5tWv5CCGsX"
{
  "total_on_period": 0,
  "earnings": [
    {
      "utime": 0,
      "income": 0,
      "stake_before": 0
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Last updated on

On this page

No Headings